> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a collection's roles

GET https://api.getpostman.com/collections/{collectionId}/roles

Gets information about all roles in a collection. The response returns the IDs of all users, teams, and groups with access to view or edit the collection.

Reference: https://learning.postman.com/api-docs/api-reference/collections/get-collection-roles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/{collectionId}/roles:
    get:
      operationId: getCollectionRoles
      summary: Get a collection's roles
      description: >-
        Gets information about all roles in a collection. The response returns
        the IDs of all users, teams, and groups with access to view or edit the
        collection.
      tags:
        - collections
      parameters:
        - name: collectionId
          in: path
          description: The collection's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getCollectionRoles'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionRolesRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionRolesRequestForbiddenError'
        '404':
          description: Instance Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitle'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionRolesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionId:
      type: string
      title: collectionId
    GetCollectionRolesGroupItemsRole:
      type: string
      enum:
        - VIEWER
        - EDITOR
      description: |
        The role type:
        - `VIEWER` — Can view, fork, and export collections.
        - `EDITOR` — Can edit collections directly.
      title: GetCollectionRolesGroupItemsRole
    GetCollectionRolesGroupItems:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/GetCollectionRolesGroupItemsRole'
          description: |
            The role type:
            - `VIEWER` — Can view, fork, and export collections.
            - `EDITOR` — Can edit collections directly.
        id:
          type: number
          format: double
          description: The role's ID.
      description: Information about the group role.
      title: GetCollectionRolesGroupItems
    GetCollectionRolesTeamItemsRole:
      type: string
      enum:
        - VIEWER
        - EDITOR
      description: |
        The role type:
        - `VIEWER` — Can view, fork, and export collections.
        - `EDITOR` — Can edit collections directly.
      title: GetCollectionRolesTeamItemsRole
    GetCollectionRolesTeamItems:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/GetCollectionRolesTeamItemsRole'
          description: |
            The role type:
            - `VIEWER` — Can view, fork, and export collections.
            - `EDITOR` — Can edit collections directly.
        id:
          type: number
          format: double
          description: The role's ID.
      description: Information about the team role.
      title: GetCollectionRolesTeamItems
    GetCollectionRolesUserItemsRole:
      type: string
      enum:
        - VIEWER
        - EDITOR
      description: |
        The role type:
        - `VIEWER` — Can view, fork, and export collections.
        - `EDITOR` — Can edit collections directly.
      title: GetCollectionRolesUserItemsRole
    GetCollectionRolesUserItems:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/GetCollectionRolesUserItemsRole'
          description: |
            The role type:
            - `VIEWER` — Can view, fork, and export collections.
            - `EDITOR` — Can edit collections directly.
        id:
          type: number
          format: double
          description: The role's ID.
      description: Information about the user role.
      title: GetCollectionRolesUserItems
    getCollectionRoles:
      type: object
      properties:
        group:
          type: array
          items:
            $ref: '#/components/schemas/GetCollectionRolesGroupItems'
          description: A list of the collection's group roles.
        team:
          type: array
          items:
            $ref: '#/components/schemas/GetCollectionRolesTeamItems'
          description: A list of the collection's team roles.
        user:
          type: array
          items:
            $ref: '#/components/schemas/GetCollectionRolesUserItems'
          description: A list of the collection's user roles.
      description: Information about the collection's roles.
      title: getCollectionRoles
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetCollectionRolesRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRolesRequestUnauthorizedError
    GetCollectionRolesRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRolesRequestForbiddenError
    commonErrorTypeTitle:
      type: object
      properties:
        title:
          type: string
          description: A short summary of the problem.
        type:
          type: string
          description: The type of error.
      title: commonErrorTypeTitle
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetCollectionRolesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRolesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "group": [
    {
      "role": "VIEWER",
      "id": 123
    }
  ],
  "team": [
    {
      "role": "EDITOR",
      "id": 1
    }
  ],
  "user": [
    {
      "role": "VIEWER",
      "id": 12345678
    },
    {
      "role": "EDITOR",
      "id": 87654321
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/roles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```